Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::Watermark Class Reference
Inheritance diagram for foxit::pdf::Watermark:

## Public Member Functions
| Watermark (const foxit::pdf::PDFDoc &document, const foxit::common::Bitmap &bitmap, const foxit::pdf::WatermarkSettings &settings)
| Constructor, from a specified bitmap. More...
| Watermark (const foxit::pdf::PDFDoc &document, const foxit::common::Image &image, int frame_index, const foxit::pdf::WatermarkSettings &settings)
| Constructor, from a specified image. More...
| Watermark (const foxit::pdf::PDFDoc &document, const foxit::pdf::PDFPage &page, const foxit::pdf::WatermarkSettings &settings)
| Constructor, from a specified page. More...
| Watermark (const PDFDoc &document, const wchar_t *text, const WatermarkTextProperties &properties, const WatermarkSettings &settings)
| Constructor, from specified text content. More...
| Watermark (const Watermark &other)
| Constructor, with another watermark object. More...
| ~Watermark ()
| Destructor.
float | GetHeight () const
| Get the original height of current watermark. More...
float | GetWidth () const
| Get the original width of current watermark. More...
bool | InsertToPage (PDFPage page)
| Insert current watermark into a PDF page. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const Watermark &other) const
| Not equal operator. More...
Watermark & | operator= (const Watermark &other)
| Assign operator. More...
bool | operator== (const Watermark &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class is mainly used to construct a watermark with specified parameters, and then insert it to PDF page. The watermark object can be constructed from text, bitmap or image, and PDF page.

## Constructor & Destructor Documentation

## ◆ Watermark() [1/5]

foxit::pdf::Watermark::Watermark | ( | const PDFDoc & | document,
|  | const wchar_t * | text,
|  | const WatermarkTextProperties & | properties,
|  | const WatermarkSettings & | settings
| ) |  |
| explicit

Constructor, from specified text content.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | text | A text string. This will be used as the content of the watermark. It should not be an empty string.
  [in] | properties | Text properties for watermark.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ Watermark() [2/5]

foxit::pdf::Watermark::Watermark | ( | const foxit::pdf::PDFDoc & | document,
|  | const foxit::common::Bitmap & | bitmap,
|  | const foxit::pdf::WatermarkSettings & | settings
| ) |  |
| explicit

Constructor, from a specified bitmap.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | bitmap | A valid bitmap object used as the content of the watermark.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ Watermark() [3/5]

foxit::pdf::Watermark::Watermark | ( | const foxit::pdf::PDFDoc & | document,
|  | const foxit::common::Image & | image,
|  | int | frame_index,
|  | const foxit::pdf::WatermarkSettings & | settings
| ) |  |
| explicit

Constructor, from a specified image.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | image | A valid image object. One frame of this image will be used as the content of the watermark. So, this image should contain at least one frame and the image type should not be common::Image::e_Unknown.
  [in] | frame_index | Frame index, to specify which frame of the image will be used for the watermark. Valid range: from 0 to (count-1). count is returned by function common::Image::GetFrameCount.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ Watermark() [4/5]

foxit::pdf::Watermark::Watermark | ( | const foxit::pdf::PDFDoc & | document,
|  | const foxit::pdf::PDFPage & | page,
|  | const foxit::pdf::WatermarkSettings & | settings
| ) |  |
| explicit

Constructor, from a specified page.

Parameters

  [in] | document | A valid PDF document object, for which the constructed watermark will be used.
  [in] | page | A valid PDF page, whose content will be used as the content of the watermark.
  [in] | settings | Watermark settings, containing layout setting.

## ◆ Watermark() [5/5]

foxit::pdf::Watermark::Watermark | ( | const Watermark & | other | ) |

Constructor, with another watermark object.

Parameters

  [in] | other | Another watermark object.

## Member Function Documentation

## ◆ GetHeight()

float foxit::pdf::Watermark::GetHeight | ( |  | ) | const

Get the original height of current watermark.

The original size of a watermark is based on no scaling and no rotation.

Returns
  Watermark height.

## ◆ GetWidth()

float foxit::pdf::Watermark::GetWidth | ( |  | ) | const

Get the original width of current watermark.

The original size of a watermark is based on no scaling and no rotation.

Returns
  Watermark width.

## ◆ InsertToPage()

bool foxit::pdf::Watermark::InsertToPage | ( | PDFPage | page | ) |

Insert current watermark into a PDF page.

If current watermark is treated as page content (which is specified by flags of WatermarkSettings when current watermark is constructed), Foxit PDF SDK will generate content for the input PDF page by default after the watermark is inserted successfully. In this case , if user wants to render the PDF page correctly after this function has been called successfully, user is recommended to call function PDFPage::StartParse with parameter is_reparse true before rendering; otherwise, the page content may not be rendered as expected.

Parameters

  [in] | page | A PDF page, to which current watermark would be inserted. This page should belong to the same document as current watermark belongs to. And the page should have been already parsed.

Returns
  true means success, while false means failure.

## ◆ IsEmpty()

bool foxit::pdf::Watermark::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::Watermark::operator!= | ( | const Watermark & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another watermark object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

Watermark& foxit::pdf::Watermark::operator= | ( | const Watermark & | other | ) |

Assign operator.

Parameters

  [in] | other | Another watermark object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::Watermark::operator== | ( | const Watermark & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another watermark object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.